#ifndef _SOFT_RADAR_HANDLE_H
#define _SOFT_RADAR_HANDLE_H 
#include "stdbool.h"
#include "stdio.h"
#include "common.h"

#define CAN_MIMO_ATTI_INFO1 0xDF00
#define CAN_MIMO_ATTI_INFO2 0xDF01

#define RADAR_NER_VERSION    0x220718

short get_radar_info(uint8_t Radar_Type,uint8_t Info_Type);

#define  OBS_X 1
#define  OBS_Y 2


enum RADAR_TYPE
{
    F_RADAR = 11,		  // 前雷达
	B_RADAR = 12,		  // 后雷达
	T_RADAR = 56,		  // 防地雷达
};

extern short obsfradar_sensitivity;
extern short obsbradar_sensitivity;
extern char radar_version[3][10];

void radar_version_check(void);
void check_radar_link_status(void);
void lidar_function(void);
void send_mocib_radar_sensi(void);
bool check_radar_update(void);

#endif 